Subject: Re: bug#17486: 24.4.50; set-face-font problem on OSX

From: Jan Djärv <[email-masked]>
Date: Fri, 16 May 2014 07:06:27 +0200

Hello.

13 maj 2014 kl. 20:21 skrev Christian Lynbech <[email-masked]>:

> 
> There is an issue when trying to set the font of face in recent versions
> of emacs build for OSX.
> 
> Evaluating this form works as expected:
> 
>    (set-face-font 'region "-*-Menlo-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1")
> 
> It used to be that one could also say something like this:
> 
>    (set-face-font 'region  "bitstream vera sans mono-26")
> 
> but when I try to do that on a newly built emacs, I get this stack
> trace:
> 
>    Debugger entered--Lisp error: (wrong-type-argument font [#<font-entity ns apple Menlo nil iso10646-1 medium normal normal 0 nil 100 0 nil>])
>      internal-set-lisp-face-attribute(region :font "bitstream vera sans mono-26" 0)
>      set-face-attribute(region nil :font "bitstream vera sans mono-26")
>      set-face-font(region "bitstream vera sans mono-26")
>      eval((set-face-font (quote region) "bitstream vera sans mono-26") nil)
>      eval-last-sexp-1(nil)
>      eval-last-sexp(nil)
>      call-interactively(eval-last-sexp nil nil)
>      command-execute(eval-last-sexp)

This works fine in the emacs-24 branch, so it is a new error.  I will bisect it soon.
Changes to xfaces.c is probably it.

	Jan D.